HTTP API
Webhooks
GET/api/v1/webhooks
Authorization
bearer_token AuthorizationBearer <token>
In: header
Query Parameters
q?string
page?integer
Format
int64Range
0 <= valuepage_size?integer
Format
int64Range
0 <= valuesort_by?string
sort_order?string
Value in
- "asc"
- "desc"
filter?array<string>
Response Body
application/json
curl -X GET "https://example.com/api/v1/webhooks"{ "pagination": { "has_more": true, "page": 0, "page_size": 0, "total": 0 }, "webhooks": [ { "active": true, "consecutive_failures": 0, "created_at": 0, "created_by": "string", "disabled_at": 0, "disabled_reason": "string", "events": [ "string" ], "headers": { "property1": "string", "property2": "string" }, "id": "string", "last_failure_at": 0, "secret": "string", "updated_at": 0, "url": "string" } ]}POST/api/v1/webhooks
Authorization
bearer_token AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to create a new webhook
Response Body
application/json
curl -X POST "https://example.com/api/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "events": [ "string" ], "url": "string" }'{ "active": true, "created_at": 0, "events": [ "string" ], "headers": { "property1": "string", "property2": "string" }, "id": "string", "secret": "string", "url": "string"}GET/api/v1/webhooks/events
curl -X GET "https://example.com/api/v1/webhooks/events"{ "events": [ { "description": "string", "event_type": "string" } ]}GET/api/v1/webhooks/{webhook_id}
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
webhook_id*string
Webhook ID
Response Body
application/json
curl -X GET "https://example.com/api/v1/webhooks/string"{ "active": true, "consecutive_failures": 0, "created_at": 0, "created_by": "string", "disabled_at": 0, "disabled_reason": "string", "events": [ "string" ], "headers": { "property1": "string", "property2": "string" }, "id": "string", "last_failure_at": 0, "secret": "string", "updated_at": 0, "url": "string"}PATCH/api/v1/webhooks/{webhook_id}
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
webhook_id*string
Webhook ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to update an existing webhook
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/webhooks/string" \ -H "Content-Type: application/json" \ -d '{}'{ "active": true, "consecutive_failures": 0, "created_at": 0, "created_by": "string", "disabled_at": 0, "disabled_reason": "string", "events": [ "string" ], "headers": { "property1": "string", "property2": "string" }, "id": "string", "last_failure_at": 0, "secret": "string", "updated_at": 0, "url": "string"}DELETE/api/v1/webhooks/{webhook_id}
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
webhook_id*string
Webhook ID
Response Body
curl -X DELETE "https://example.com/api/v1/webhooks/string"Empty
GET/api/v1/webhooks/{webhook_id}/deliveries
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
webhook_id*string
Webhook ID
Query Parameters
limit?integer
Format
int64Range
0 <= valueResponse Body
application/json
curl -X GET "https://example.com/api/v1/webhooks/string/deliveries"{ "deliveries": [ { "attempt_number": 0, "error": "string", "event_id": "string", "response_time_ms": 0, "status_code": 0, "success": true, "timestamp": 0, "webhook_id": "string" } ], "total": 0}GET/api/v1/webhooks/{webhook_id}/dlq
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
webhook_id*string
Webhook ID
Query Parameters
limit?integer
Format
int64Range
0 <= valueResponse Body
application/json
curl -X GET "https://example.com/api/v1/webhooks/string/dlq"{ "entries": [ { "attempt_count": 0, "dlq_at": 0, "enqueued_at": 0, "error": "string", "event_id": "string", "event_type": "string", "message_id": "string", "webhook_id": "string" } ], "total": 0}DELETE/api/v1/webhooks/{webhook_id}/dlq
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
webhook_id*string
Webhook ID
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/webhooks/string/dlq"{ "purged": 0}POST/api/v1/webhooks/{webhook_id}/dlq/{event_id}/redrive
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
webhook_id*string
Webhook ID
event_id*string
Event ID of the DLQ entry
Response Body
application/json
curl -X POST "https://example.com/api/v1/webhooks/string/dlq/string/redrive"{ "event_id": "string", "redriven": true, "webhook_id": "string"}POST/api/v1/webhooks/{webhook_id}/enable
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
webhook_id*string
Webhook ID
Response Body
application/json
curl -X POST "https://example.com/api/v1/webhooks/string/enable"{ "active": true, "consecutive_failures": 0, "created_at": 0, "created_by": "string", "disabled_at": 0, "disabled_reason": "string", "events": [ "string" ], "headers": { "property1": "string", "property2": "string" }, "id": "string", "last_failure_at": 0, "secret": "string", "updated_at": 0, "url": "string"}POST/api/v1/webhooks/{webhook_id}/rotate-secret
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
webhook_id*string
Webhook ID
Response Body
application/json
curl -X POST "https://example.com/api/v1/webhooks/string/rotate-secret"{ "active": true, "consecutive_failures": 0, "created_at": 0, "created_by": "string", "disabled_at": 0, "disabled_reason": "string", "events": [ "string" ], "headers": { "property1": "string", "property2": "string" }, "id": "string", "last_failure_at": 0, "secret": "string", "updated_at": 0, "url": "string"}POST/api/v1/webhooks/{webhook_id}/test
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
webhook_id*string
Webhook ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/webhooks/string/test" \ -H "Content-Type: application/json" \ -d '{}'{ "enqueued": true, "webhook_id": "string"}